Hi,

"NAKAMURA, Hiroshi" <nahi / keynauts.com> wrote:
> Regards to NQXML:  Though it is very interesting idea to
> add it to std lib in point of pure Ruby library, I think
> we should wait ruby/1.8 with m17n and NQXML's CES support.

Why should we wait m17n-ruby? ruby-1.6.x has already supported
utf-8 string :-)

According to NQXML's CES support:
 * at least, should be able to parse UTF-8 documents.
 * But some restriction of character(ex. NameChar)
   may not be needed.
   (Do you know XML Blueberry and discussion on XML-dev?
    cf. http://www.xml.com/pub/a/2001/07/11/sunshine.html )
   So it's not difficult to support (limited) UTF-8, isn't it?


By the way, I think NQXML is slow for large documents. Is it
serious problem?


Regards,

TAKAHASHI Masayoshi (maki / inac.co.jp)
  ``Whatever else you think about, think about interoperability.
    Don't think about standards yet.'' -- Clay Shirky